Bug 681369 - (CVE-2011-0059) CVE-2011-0059 Mozilla CSRF risk with plugins and 307 redirects (MFSA 2011-10)
CVE-2011-0059 Mozilla CSRF risk with plugins and 307 redirects (MFSA 2011-10)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110301,reported=20110301,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-01 18:15 EST by Josh Bressers
Modified: 2016-03-04 07:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2011-03-01 18:15:59 EST
Adobe security researcher Peleus Uhley reported that when plugin-initiated
requests receive a 307 redirect response, the plugin is not notified and
the request is forwarded to the new location. This is true even for
cross-site redirects, so any custom headers that were added as part of the
initial request would be forwarded intact across origins. This poses a CSRF
risk for web applications that rely on custom headers only being present in
requests from their own origin.
Comment 1 Vincent Danen 2011-03-01 19:00:54 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-10.html
Comment 2 errata-xmlrpc 2011-03-01 20:10:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html
Comment 3 errata-xmlrpc 2011-03-01 20:31:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0313 https://rhn.redhat.com/errata/RHSA-2011-0313.html

Note You need to log in before you can comment on or make changes to this bug.